aboutsummaryrefslogtreecommitdiffstats
path: root/make/scripts/deploy-jnlp-webstarttest-filter.sh
diff options
context:
space:
mode:
Diffstat (limited to 'make/scripts/deploy-jnlp-webstarttest-filter.sh')
-rwxr-xr-xmake/scripts/deploy-jnlp-webstarttest-filter.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/make/scripts/deploy-jnlp-webstarttest-filter.sh b/make/scripts/deploy-jnlp-webstarttest-filter.sh
new file mode 100755
index 000000000..e95be29cb
--- /dev/null
+++ b/make/scripts/deploy-jnlp-webstarttest-filter.sh
@@ -0,0 +1,25 @@
+#! /bin/sh
+
+wsdir=$1
+shift
+
+if [ -z "$wsdir" ] ; then
+ echo usage $0 webstartdir
+ exit 1
+fi
+
+if [ ! -e $wsdir ] ; then
+ echo $wsdir does not exist
+ exit 1
+fi
+
+cd $wsdir
+
+rm -rf orig
+mkdir orig
+
+for i in *.jnlp ; do
+ mv $i orig
+ sed -e 's/<security>//g' -e 's/<\/security>//g' -e 's/<all-permissions\/>//g' orig/$i > $i
+done
+